<?php
// Copyright 1999-2014. Parallels IP Holdings GmbH. All Rights Reserved.
?>
<?php
$dnsZoneStatus = $this->dnsRecordsList->getDnsZoneStatus();
echo $this->partial('partials/tabs.phtml', array('tabs' => $this->tabs, 'renderTo' => 'main'));
?>
<script type="text/javascript">
//<![CDATA[

Jsw.namespace('Smb.Views.DnsRecordsList');

var addApplyMessage = function(){
    Jsw.addStatusMessage('warning', <?php echo $this->dnsRecordsList->jsLmsg('applyChanges'); ?> + "<br><br><span id='btn-apply' class='btn'></span><span id='btn-revert' class='btn'></span>", []);
    new Jsw.CommandButton({
        applyTo: 'btn-apply',
        title: <?php echo $this->dnsRecordsList->jsLmsg('updateButtonTitle'); ?>,
        name: 'send',
        description: <?php echo $this->dnsRecordsList->jsLmsg('updateButtonDescription'); ?>,
        disabled: false,
        handler: function() { Jsw.redirectPost('/dns-zone/update/id/<?php echo $this->ownerId ?>'); }
    });
    new Jsw.CommandButton({
        applyTo: 'btn-revert',
        title: <?php echo $this->dnsRecordsList->jsLmsg('revertButtonTitle'); ?>,
        name: 'cancel',
        description: <?php echo $this->dnsRecordsList->jsLmsg('revertButtonDescription'); ?>,
        handler: function() { Jsw.redirectPost('/dns-zone/revert/id/<?php echo $this->ownerId ?>'); }
    });
};

Smb.Views.DnsRecordsList.renderMainColumn = function(item, columnName) {
    if (item.isUsedByApp) {
        return item[columnName].escapeHTML() + ' (' + <?php echo $this->dnsRecordsList->jsLmsg('usedByApp'); ?> + ')';
    }

    var url = Jsw.prepareUrl('/dns-zone/edit-record/id/<?php echo $this->ownerId ?>/recordId/' + item.id);
    if ('old' == item.status) {
        return '<a href=' + url + '>' + item[columnName].escapeHTML() + '</a>';
    } else {
        return '<span>' +
            '<a href=' + url + ' class="s-btn sb-dns-records-changed list-item-' + item.status + '"><i><i><i><span>' +
            item[columnName].escapeHTML() +
            '</span></i></i></i></a>' +
            '</span>';
    }
};

Jsw.onReady(function() {

    <?php if ($this->applyButton): ?>
    addApplyMessage();
    <?php endif; ?>
    new Jsw.Panel({
        cls: 'list-box',
        renderTo: 'main',
        items: [
            new Jsw.List({
                id: 'dns-zone-records',
                //searchOveral: 'host',
                data: <?php echo Zend_Json::encode($this->dnsRecordsList->fetchData()); ?>,
                dataUrl: '/dns-zone/records-list-data/id/<?php echo $this->ownerId ?>',
                isDisabledItem: function(item) {
                    return item.readOnly || item.isUsedByApp;
                },
                columns: [
                    <?php if ($this->manageDns): ?>
                    Jsw.list.COLUMN_SELECTION,
                    <?php endif; ?>
                    <?php if ('off' == $dnsZoneStatus): ?>
                    {
                        header: <?php echo $this->dnsRecordsList->jsLmsg('nameServer'); ?>,
                        sortable: true,
                        dataIndex: 'ns',
                        renderer: function(item) {
                            return Smb.Views.DnsRecordsList.renderMainColumn(item, 'ns');
                        }
                    },
                    {
                        header: '',
                        sortable: false,
                        cls: 'min',
                        renderer: function(item) {
                            return '<span class="tooltipData">' + <?php echo $this->dnsRecordsList->jsLmsg('buttonCheckHint');?> + '</span>' +
                                '<a href=' + Jsw.prepareUrl('/dns-zone/check/id/<?php echo $this->ownerId ?>/recordId/' + item.id) +' class="s-btn sb-dns-zone-check"><span></span></a>';
                        }
                    }
                    <?php elseif ('master' == $dnsZoneStatus): ?>
                    {
                        header: <?php echo $this->dnsRecordsList->jsLmsg('host'); ?>,
                        sortable: true,
                        dataIndex: 'host',
                        renderer: function(item) {
                            return Smb.Views.DnsRecordsList.renderMainColumn(item, 'host');
                        }
                    },
                    {
                        header: <?php echo $this->dnsRecordsList->jsLmsg('type'); ?>,
                        sortable: true,
                        dataIndex: 'type'
                    },
                    {
                        header: <?php echo $this->dnsRecordsList->jsLmsg('value'); ?>,
                        sortable: true,
                        dataIndex: 'value'
                    }
                    <?php elseif ('slave' == $dnsZoneStatus): ?>
                    {
                        header: <?php echo $this->dnsRecordsList->jsLmsg('ipAddress'); ?>,
                        sortable: true,
                        dataIndex: 'ip',
                        renderer: function(item) {
                            return Smb.Views.DnsRecordsList.renderMainColumn(item, 'ip');
                        }
                    }
                    <?php endif; ?>
                ],
                operations: [
                    <?php if ($this->manageDns): ?>
                    <?php if ('off' == $dnsZoneStatus): ?>
                    {
                        componentType: 'Jsw.SmallButton',
                        id: 'buttonTurnOn',
                        attrs: { 'data-method': 'post' },
                        title: <?php echo $this->dnsRecordsList->jsLmsg('turnOn');?>,
                        description: <?php echo $this->dnsRecordsList->jsLmsg('hintTurnOn', array('name' => $this->name)); ?>,
                        addCls: 'sb-turn-on',
                        href: '/dns-zone/turn-on/id/<?php echo $this->ownerId ?>'
                    },
                    {
                        componentType: 'Jsw.SmallButton',
                        id: 'buttonToggleType',
                        attrs: { 'data-method': 'post' },
                        title: <?php echo $this->dnsRecordsList->jsLmsg('toggleType');?>,
                        description: <?php echo $this->dnsRecordsList->jsLmsg('hintToggleTypeDisabled', array('name' => $this->name)); ?>,
                        disabledClass: 'btn-disabled sb-refresh',
                        disabled: true
                    },
                    {
                        componentType: 'Jsw.SmallButton',
                        id: 'buttonAddRecord',
                        title: <?php echo $this->dnsRecordsList->jsLmsg('addRecord');?>,
                        description: <?php echo $this->dnsRecordsList->jsLmsg('hintSpecifyNameServer', array('name' => $this->name)); ?>,
                        addCls: 'sb-dns-record-add',
                        href: '/dns-zone/add-record/id/<?php echo $this->ownerId ?>'
                    },
                    <?php else: ?>
                    {
                        componentType: 'Jsw.SmallButton',
                        id: 'buttonTurnOff',
                        attrs: { 'data-method': 'post' },
                        title: <?php echo $this->dnsRecordsList->jsLmsg('turnOff');?>,
                        description: <?php echo $this->dnsRecordsList->jsLmsg('hintTurnOff', array('name' => $this->name)); ?>,
                        addCls: 'sb-turn-off',
                        href: '/dns-zone/turn-off/id/<?php echo $this->ownerId ?>'
                    },
                    {
                        componentType: 'Jsw.SmallButton',
                        id: 'buttonToggleType',
                        attrs: { 'data-method': 'post' },
                        title: <?php echo $this->dnsRecordsList->jsLmsg('toggleType');?>,
                        description: <?php echo $this->dnsRecordsList->jsLmsg('hintToggleTypeTo' . ('master' == $dnsZoneStatus ? 'Slave' : 'Master'), array('name' => $this->name)); ?>,
                        addCls: 'sb-refresh',
                        href: '/dns-zone/toggle-type/id/<?php echo $this->ownerId ?>'
                    },
                    {
                        componentType: 'Jsw.SmallButton',
                        id: 'buttonAddRecord',
                        title: <?php echo $this->dnsRecordsList->jsLmsg('addRecord');?>,
                        description: <?php echo $this->dnsRecordsList->jsLmsg('master' == $dnsZoneStatus ? 'hintAddRecord' : 'hintAddPrimaryDns', array('name' => $this->name)); ?>,
                        addCls: 'sb-dns-record-add',
                        href: '/dns-zone/add-record/id/<?php echo $this->ownerId ?>'
                    },
                    {
                        componentType: 'Jsw.SmallButton',
                        id: 'buttonRestoreDefault',
                        title: <?php echo $this->dnsRecordsList->jsLmsg('restoreDefault');?>,
                        description: <?php echo $this->dnsRecordsList->jsLmsg('hintRestoreDefault', array('name' => $this->name)); ?>,
                        addCls: 'sb-restore-defaults',
                        href: '/dns-zone/restore-default/id/<?php echo $this->ownerId ?>'
                    },
                    <?php if ($this->syncZone): ?>
                    {
                        componentType: 'Jsw.SmallButton',
                        id: 'buttonSyncZone',
                        attrs: { 'data-method': 'post' },
                        title: <?php echo $this->dnsRecordsList->jsLmsg('syncZone');?>,
                        description: <?php echo $this->dnsRecordsList->jsLmsg('hintSyncZone'); ?>,
                        addCls: 'sb-dns-zone-sync',
                        href: '/dns-zone/sync-zone/id/<?php echo $this->ownerId ?>'
                    },
                    <?php endif; ?>
                    <?php endif; ?>
                    {
                        componentType: 'Jsw.bar.Separator'
                    },
                    {
                        componentType: 'Jsw.SmallButton',
                        id: 'buttonRemoveRecord',
                        title: <?php echo $this->dnsRecordsList->jsLmsg('remove');?>,
                        description: <?php echo $this->dnsRecordsList->jsLmsg('hintRemove'); ?>,
                        addCls: 'sb-remove-selected',
                        handler: function(event) {
                            Jsw.getComponent('dns-zone-records').execGroupOperation({
                                url: '/dns-zone/delete/id/<?php echo $this->ownerId ?>',
                                subtype: 'delete',
                                mouseEvent: event,
                                locale: {
                                    confirmOnGroupOperation: <?php echo $this->dnsRecordsList->jsLmsg('confirmOnDelete'); ?>
                                },
                                onSuccess: function() {
                                    addApplyMessage();
                                }
                            });
                        }
                    }
                    <?php endif; ?>
                ]
            })
        ]
    });
});
//]]>
</script>